linux下编译qt的常见错误

2015-01-16
1.执行./configure 出现: /bin/sh^M: bad interpreter: No such file or directory 


这是因为unix和window的行结束字符不同,用dos2unix或者任何文本编辑器转换configure文件就可以了 


 


2. 执行./configure 出现:"You don't seem to have 'make' or 'gmake' in your PATH" 


sudo apt-get install build-essential 


如果还不能解决,手动指定$MAKE 


export MAKE=/usr/bin/make


 


3.编译时(webkit)出现:"cannot find -lXrender" 


确认安装了libX11-dev 


如果还不行: 


cd /usr/lib 


ln -s libXrender.so.1 libXrender.so 


(其中的libXrender.so.1为安装的x11版本) 


注意: 编译时需要修改mkspecs/xxx文件夹的qmake.conf默认X11和OpenGL配置 


默认配置-> 


QMAKE_LIBDIR_X11 = /usr/X11R6/lib64 
QMAKE_LIBDIR_OPENGL = /usr/X11R6/lib64 


例:(ubuntu 10.10 X64) 


QMAKE_LIBDIR_X11 = /usr/lib/X11


 

类别:编程相关 | 阅读:1493 | 评论:0 | 标签:linux Qt

想收藏或者和大家分享这篇好文章→

“linux下编译qt的常见错误”共有0条留言

发表评论

姓名:

邮箱:

网址:

验证码:

公告

2014年10月4日创建

标签云

最近评论

友情链接